import Flutter
import UIKit

let navBar = UINavigationController.init()

public class SwiftFlutterTestSelfiecapturePlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "flutter_test_selfiecapture", binaryMessenger: registrar.messenger())
    let instance = SwiftFlutterTestSelfiecapturePlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    if (call.method == "getPlatformVersion") {
          result("iOS " + UIDevice.current.systemVersion)
        if let vc = (UIStoryboard.init(name: "Main", bundle: Bundle.main)).instantiateViewController(withIdentifier: "TestViewController") as? TestViewController {
            UIApplication.shared.keyWindow!.rootViewController = navBar
            navBar.pushViewController(vc, animated: true)
            navBar.setNavigationBarHidden(true, animated: true)
        }
    }else if call.method == "detectLiveliness" {
        if let vc = (UIStoryboard.init(name: "Main", bundle: Bundle.main)).instantiateViewController(withIdentifier: "TestViewController") as? TestViewController {
            UIApplication.shared.keyWindow!.rootViewController = navBar
            navBar.pushViewController(vc, animated: true)
            navBar.setNavigationBarHidden(true, animated: true)
            result("iOS_Helloooo")
        }
    }
  }
}
